# Initialize Linux Servers

This is an Ansible Playbook for initilazing Debian and Ubuntu Linux Servers

## Prerequisites

Some Debian/Ubuntu Linux Servers, VMs or Containers

## Usage

Clone the repo:

```
$ git clone https://git.cut.ac.cy/IST/ansible-initialize-servers.git
$ cd ansible-initialize-servers
```

Setup your environment. You can copy the examle file (*vars/all.yml.example*) to *vars/all.yml* or prepare your own:

```
# vars/all.yml
custom_ssh_port: 4444
timezone: "Europe/Nicosia"
```

Adjust your hosts in */etc/ansible/hosts* and in *init_system.yml* and run the Playbook:

```
$ ansible-playbook init_system.yml
```
